Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class WorklistContextFactory

    java.lang.Object
      com.bea.wli.worklist.api.WorklistContextFactory

    public class WorklistContextFactory

extends Object

Factory for obtaining instances of WorklistContext

Since:
  9.2

Constructor Summary
`WorklistContextFactory()`

Method Summary
`static Interval` | `createInterval(String intervalSpec)` Create a new Interval instance for setting task or step time estimates.
`static TaskDataIterator` | `createTaskDataIterator(TaskDataCursor cursor, WorklistContext context)` Create a new TaskDataIterator instance given a TaskDataCursor returned from a prior call to WorklistTaskQuery.getTaskDataCursor() or getTaskDataCursorWithAffinity().
`static ObjectName` | `getObjectNameForWorklistAdminMBean()`
`static ObjectName` | `getObjectNameForWorklistSystemMBean(String appName)`
`static ObjectName` | `getObjectNameForWorklistSystemRuntimeMBean(String appName)`
`static ObjectName` | `getObjectNameForWorkSubstituteMBean()`
`static WorklistContext` | `getRemoteWorklistContext(Context jndiContext)` Get a WorklistContext instance that is focused on worklist artifacts deployed globally to the server represented by jndiContext.
`static WorklistContext` | `getRemoteWorklistContext(Context jndiContext, String appName)` Get a WorklistContext instance that is focused on worklist artifacts deployed to the server represented by jndiContext and within the application given by appName.
`static WorkSubstituteManager` | `getRemoteWorkSubstituteManager(Context jndiContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorklistContextFactory

    public WorklistContextFactory()

Method Detail

### getRemoteWorklistContext

    public static WorklistContext getRemoteWorklistContext(Context jndiContext)
                                                    throws ManagementException

  Get a WorklistContext instance that is focused on worklist artifacts deployed globally to the server represented by jndiContext. Note this method will fail if the worklist services are not deployed globally but are instead deployed within the scope of individual user applications.

  Parameters:
    `jndiContext` - The JNDI context to the desired WebLogic server
  Returns:
    The WorklistContext needed to interact with worklist on the given server.
  Throws:
    `ManagementException` - If any error occurs establishing the context.

### getRemoteWorklistContext

    public static WorklistContext getRemoteWorklistContext(Context jndiContext,
                                                           String appName)
                                                    throws ManagementException

  Get a WorklistContext instance that is focused on worklist artifacts deployed to the server represented by jndiContext and within the application given by appName.

  Parameters:
    `jndiContext` - The JNDI context to the desired WebLogic server
    `appName` - The name of the application within which the desired worklist artifacts have been deployed. If null, this method will assume that worklist services are deployed globally on the given server and will use a default name for the appName parameter.
  Returns:
    The WorklistContext needed to interact with worklist on the given server and within the given application.
  Throws:
    `ManagementException` - If any error occurs establishing the context.

### getRemoteWorkSubstituteManager

    public static WorkSubstituteManager getRemoteWorkSubstituteManager(Context jndiContext)
                                                                throws ManagementException

  Throws:
    `ManagementException`

### getObjectNameForWorklistAdminMBean

    public static ObjectName getObjectNameForWorklistAdminMBean()

### getObjectNameForWorklistSystemMBean

    public static ObjectName getObjectNameForWorklistSystemMBean(String appName)

### getObjectNameForWorklistSystemRuntimeMBean

    public static ObjectName getObjectNameForWorklistSystemRuntimeMBean(String appName)

### getObjectNameForWorkSubstituteMBean

    public static ObjectName getObjectNameForWorkSubstituteMBean()

### createInterval

    public static Interval createInterval(String intervalSpec)
                                   throws ManagementException

  Create a new Interval instance for setting task or step time estimates.

  Parameters:
    `intervalSpec` - is a string describing the interval in the format described in the Interval interface.
  Throws:
    `ManagementException`
  See Also:
    `Interval`

### createTaskDataIterator

    public static TaskDataIterator createTaskDataIterator(TaskDataCursor cursor,
                                                          WorklistContext context)
                                                   throws ManagementException

  Create a new TaskDataIterator instance given a TaskDataCursor returned from a prior call to WorklistTaskQuery.getTaskDataCursor() or getTaskDataCursorWithAffinity().

  Parameters:
    `cursor` - The TaskDataCursor to wrap in an iterator
    `context` - The WorklistContext the iterator should use to manipulate the underlying cursor.
  Throws:
    `ManagementException`
  See Also:
    `WorklistTaskQuery.getTaskDataCursor(TaskQuery, int)`, `WorklistTaskQuery.getTaskDataCursorWithAffinity(TaskQuery, int)`, `TaskDataCursor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD